GrailsRequestContext (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.servlet
[Java] Interface GrailsRequestContext

    public interface GrailsRequestContext

Defines the methods and objects available during a Grails request context.

Authors:
  Graeme Rocher

Since:
  0.6

Method Summary
`java.lang.String` | `getActionName()` @return The Action name
`org.springframework.context.ApplicationContext` | `getApplicationContext()` The ApplicationContext instance.
`java.lang.String` | `getControllerName()` @return The Controller Name
`java.io.Writer` | `getOut()` The response writer.
`java.util.Map` | `getParams()` The params object.
`javax.servlet.http.HttpServletRequest` | `getRequest()` The request object.
`java.lang.String` | `getRequestURI()` @return The Request URI
`javax.servlet.http.HttpServletResponse` | `getResponse()` The response object.
`javax.servlet.ServletContext` | `getServletContext()` The servletContext object.
`javax.servlet.http.HttpSession` | `getSession()` The session object.

Method Detail

### getActionName

    public java.lang.String getActionName()

  Returns:
    The Action name

### getApplicationContext

    public org.springframework.context.ApplicationContext getApplicationContext()

  The ApplicationContext instance.
  Returns:
    The ApplicationCOntext

### getControllerName

    public java.lang.String getControllerName()

  Returns:
    The Controller Name

### getOut

    public java.io.Writer getOut()

  The response writer.
  Returns:
    The response writer

### getParams

    @java.lang.SuppressWarnings("rawtypes")
    public java.util.Map getParams()

  The params object.
  Returns:
    The params object

### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

  The request object.
  Returns:
    The request object

### getRequestURI

    public java.lang.String getRequestURI()

  Returns:
    The Request URI

### getResponse

    public javax.servlet.http.HttpServletResponse getResponse()

  The response object.
  Returns:
    The response object

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  The servletContext object.
  Returns:
    The servletContext Object

### getSession

    public javax.servlet.http.HttpSession getSession()

  The session object.
  Returns:
    The session object

Groovy Documentation